Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 175450 - (selinux) gpm crashes on startup
Summary: (selinux) gpm crashes on startup
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Rockai
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-12-10 21:27 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-17 10:26:18 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2005-12-10 21:27:16 UTC
Description of problem:

gpm crashes on startup

Dec 10 22:28:37 rousalka gpm[5379]: Started gpm successfully. Entered daemon mode.
Dec 10 22:28:37 rousalka gpm[5379]: O0o.oops(): [server_tools.c(76)]:
Dec 10 22:28:37 rousalka gpm[5379]: Could not open /dev/input/mice.

type=AVC msg=audit(1134250117.635:1961): avc:  denied  { write } for  pid=5379
comm="gpm" name="mice" dev=tmpfs ino=4118 scontext=root:system_r:gpm_t:s0
tcontext=system_u:object_r:mouse_device_t:s0 tclass=chr_file
type=SYSCALL msg=audit(1134250117.635:1961): arch=c000003e syscall=2 success=no
exit=-13 a0=7fffffde2a75 a1=802 a2=0 a3=7fffffde17c8 items=1 pid=5379
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
comm="gpm" exe="/usr/sbin/gpm"
type=CWD msg=audit(1134250117.635:1961):  cwd="/"
type=PATH msg=audit(1134250117.635:1961): item=0 name="/dev/input/mice"
flags=101  inode=4118 dev=00:10 mode=020600 ouid=0 ogid=0 rdev=0d:3f


Version-Release number of selected component (if applicable):

selinux-policy-targeted-2.1.2-1
gpm-1.20.1-71

How reproducible:

always


Note You need to log in before you can comment on or make changes to this bug.